zookeeper-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Germán Blanco (JIRA) <j...@apache.org>
Subject [jira] [Commented] (ZOOKEEPER-1805) "Don't care" value in ZooKeeper election breaks rolling upgrades
Date Tue, 05 Nov 2013 07:34:20 GMT

    [ https://issues.apache.org/jira/browse/ZOOKEEPER-1805?page=com.atlassian.jira.plugin.system.issuetabpanels:comment-tabpanel&focusedCommentId=13813720#comment-13813720
] 

Germán Blanco commented on ZOOKEEPER-1805:
------------------------------------------

I understand that you want to add a version field to notifications in order to know which
come from a server that ignores zxid and electionEpoch for an established ensemble and which
come from a server without this change, corrrect?
Once that is done, then it would be possible to make the correct comparison for the epoch
when joining an ensemble with a mixture of updated and not-updated servers.
That sounds good for me. Having a version field will help in the future if any other change
is required in notifications for fast leader election. For this problem, it means that the
comparison between votes only needs to be different for the special case in which there is
a mixture of servers, and it doesn't need to be modified at all for the rest of the cases,
which seems to be a safer approach.

> "Don't care" value in ZooKeeper election breaks rolling upgrades
> ----------------------------------------------------------------
>
>                 Key: ZOOKEEPER-1805
>                 URL: https://issues.apache.org/jira/browse/ZOOKEEPER-1805
>             Project: ZooKeeper
>          Issue Type: Bug
>            Reporter: Flavio Junqueira
>            Assignee: Flavio Junqueira
>            Priority: Blocker
>             Fix For: 3.4.6, 3.5.0
>
>         Attachments: ZOOKEEPER-1805-b3.4.patch, ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch,
ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch,
ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch, ZOOKEEPER-1805.patch
>
>
> This is an issue that has been originally reported in ZOOKEEPER-1732.



--
This message was sent by Atlassian JIRA
(v6.1#6144)

Mime
View raw message